summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-action/shadowgrounds-survivor-bin
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-action/shadowgrounds-survivor-bin')
-rw-r--r--games-action/shadowgrounds-survivor-bin/Manifest1
-rw-r--r--games-action/shadowgrounds-survivor-bin/metadata.xml5
-rw-r--r--games-action/shadowgrounds-survivor-bin/shadowgrounds-survivor-bin-0_beta11-r1.ebuild64
3 files changed, 70 insertions, 0 deletions
diff --git a/games-action/shadowgrounds-survivor-bin/Manifest b/games-action/shadowgrounds-survivor-bin/Manifest
new file mode 100644
index 00000000000..2dfe2a1b781
--- /dev/null
+++ b/games-action/shadowgrounds-survivor-bin/Manifest
@@ -0,0 +1 @@
+DIST SurvivorBeta11.run 1157906524 SHA256 891ec8ad4e4a5a2592b386b0d0ffb03747577b1b3c14eb9fe251ec02d4beb04f
diff --git a/games-action/shadowgrounds-survivor-bin/metadata.xml b/games-action/shadowgrounds-survivor-bin/metadata.xml
new file mode 100644
index 00000000000..d3c2cc926f0
--- /dev/null
+++ b/games-action/shadowgrounds-survivor-bin/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+</pkgmetadata>
diff --git a/games-action/shadowgrounds-survivor-bin/shadowgrounds-survivor-bin-0_beta11-r1.ebuild b/games-action/shadowgrounds-survivor-bin/shadowgrounds-survivor-bin-0_beta11-r1.ebuild
new file mode 100644
index 00000000000..830ac6660b3
--- /dev/null
+++ b/games-action/shadowgrounds-survivor-bin/shadowgrounds-survivor-bin-0_beta11-r1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit unpacker eutils games
+
+DESCRIPTION="human survivors who battle against the ongoing alien onslaught"
+HOMEPAGE="http://shadowgroundsgame.com/survivor/"
+SRC_URI="Survivor${PV/*_b/B}.run"
+
+LICENSE="frozenbyte-eula"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE=""
+RESTRICT="fetch strip"
+
+DEPEND="app-arch/unzip"
+RDEPEND=">=sys-libs/glibc-2.4
+ >=sys-devel/gcc-4.3.0
+ !amd64? (
+ gnome-base/libglade
+ )
+ amd64? (
+ >=gnome-base/libglade-2.6.4-r1[abi_x86_32(-)]
+ )"
+
+S=${WORKDIR}
+
+d="${GAMES_PREFIX_OPT}/${PN}"
+QA_TEXTRELS_x86="`echo ${d#/}/lib32/lib{avcodec.so.51,avformat.so.52,avutil.so.49,FLAC.so.8}`"
+QA_TEXTRELS_amd64=${QA_TEXTRELS_x86}
+
+pkg_nofetch() {
+ einfo "Fetch ${SRC_URI} and put it into ${DISTDIR}"
+ einfo "See http://www.humblebundle.com/ for more info."
+}
+
+src_unpack() {
+ # manually run unzip as the initial seek causes it to exit(1)
+ unpack_zip ${A}
+ rm lib*/lib{gcc_s,m,rt,selinux}.so.?
+}
+
+src_install() {
+ local b bb
+
+ doicon Survivor.xpm || die
+ for b in bin launcher ; do
+ bb="survivor-${b}"
+ exeinto ${d}
+ newexe ${bb} ${bb}
+ games_make_wrapper ${bb} "./${bb}" "${d}"
+ make_desktop_entry ${bb} "Shadowgrounds Survivor ${b}" "Shadowgrounds Survivor"
+ done
+
+ exeinto ${d}/lib32
+ doexe lib32/*
+
+ insinto ${d}
+ doins -r Config data Profiles *.fbz *.glade *-logo.png
+
+ prepgamesdirs
+}